import { default as React } from 'react';
import { UnityContextHook } from 'react-unity-webgl/distribution/types/unity-context-hook';
import { PersonaMessage } from '../../api/use-engine-connection-factory';
import { SendMessage } from '../../use-web-socket';
import { RawMessageType } from './raw-message-output-tab';
export type ChatPageProps = {
    sendMessage: SendMessage;
    messages: RawMessageType[];
    lastMessage: string;
    unityArcContext: UnityContextHook;
    analyzerData: {
        dataArray: Uint8Array;
        bufferLength: number;
        analyzer: AnalyserNode | null;
    };
    arcAudioQueue: string[];
    persona: PersonaMessage | undefined;
    setIsApplicationReady: (isReady: boolean) => void;
    applicationValue: string;
};
export type EngineProps = {
    engineUrl: string;
    applicationValue: string;
    sttSampleRate?: number;
    outputMedia?: string;
    locale?: string;
};
export type ArcTabsProps = {
    qrCode: string | null;
    onCloseRef: React.MutableRefObject<() => void>;
    onOpenRef: React.MutableRefObject<() => void>;
    engineProps: EngineProps;
};
export declare const ArcTabs: React.FC<ArcTabsProps>;
